Bug 1268918 - Request Header parameter to the proxy URL are incorrect/different
Request Header parameter to the proxy URL are incorrect/different
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Timothy
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 11:37 EDT by Ryan Howe
Modified: 2016-11-08 01:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 23:02:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-10-05 11:37:28 EDT
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.0/openshift-enterprise-30-administrator-guide/#RequestHeaderIdentityProvider

https://docs.openshift.com/enterprise/3.0/admin_guide/configuring_authentication.html#RequestHeaderIdentityProvider

Section Number and Name: 

Example 6. Master Configuration Using RequestHeaderIdentityProvider

-and

Configuring the Master
 /etc/openshift/master/master-config.yaml  



Describe the issue:  The yaml is different in the two examples. 

First has:

 provider.challengeURL and provider.loginURL

Second Has 
 identityProviders.challengeURL and identityProviders.loginURL


I believe the second is incorrect. 


Suggestions for improvement: 

Fix it. Maybe link to API reference 

Additional information:
Comment 2 Timothy 2015-10-14 20:59:11 EDT
https://github.com/openshift/openshift-docs/pull/1080

Fixed! :)

Note You need to log in before you can comment on or make changes to this bug.